Package: org.grails.web.mapping

## [Java] Class DefaultUrlMappingsHolder.UrlMappingsList

- org.grails.web.mapping.DefaultUrlMappingsHolder.UrlMappingsList

-     class DefaultUrlMappingsHolder.UrlMappingsList

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.util.Map<UrlMappingsListKey, java.util.List<UrlMappingKey>>` | `lookup` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.util.Collection<UrlMappingKey>` | `get(UrlMappingsListKey key)`
    `` | `public void` | `put(UrlMappingsListKey key, UrlMappingKey mapping)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private java.util.Map<UrlMappingsListKey, java.util.List<UrlMappingKey>> lookup

  - ### Method Detail

    - #### public java.util.Collection<UrlMappingKey> get(UrlMappingsListKey key)

    - #### public void put(UrlMappingsListKey key, UrlMappingKey mapping)